Bug 528056 - Addition of VLAN support to rgmanager
Summary: Addition of VLAN support to rgmanager
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: rgmanager
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Fabio Massimo Di Nitto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-08 18:38 UTC by Rob Greenwood
Modified: 2010-06-28 14:58 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:58:08 UTC
Type: ---


Attachments (Terms of Use)

Description Rob Greenwood 2009-10-08 18:38:50 UTC
Heartbeat IPADDR2 is capable of handling VLANs using ip addr, and the following config syntax..; IPADDR2::172.20.1.1:24:eth1.655 whereby 172.20.1.1/24 is configured as tagged VLAN655 on eth1.

Can this be added into rgmanager?

Comment 1 Lon Hohberger 2009-10-08 19:31:10 UTC
So, the IPaddr2 script can just add an IP to an existing VLAN, but it doesn't call vconfig; it appears that one must have the VLAN already configured.

It can also add a label to the IP (which isn't useful).

So, to bring up a VLAN IP, at a bare minimum:

 [root@molly ~]# vconfig add eth0 300
 Added VLAN with VID == 300 to IF -:eth0:-
 [root@molly ~]# ip addr add 172.31.31.2/24 dev eth0.300
 [root@molly ~]# ip addr list dev eth0.300
 6: eth0.300@eth0: <BROADCAST,MULTICAST> mtu 1500 qdisc noop  
             link/ether 54:52:00:06:f7:66 brd ff:ff:ff:ff:ff:ff inet 
             172.31.31.2/32 scope global eth0.300
 [root@molly ~]# vconfig set_flag eth0.300 1
 Set flag on device -:eth0.300:- Should be visible in /proc/net/vlan/eth0.300


If you have an existing IP (and the link is up) on the VLAN device, ip.sh works fine:

 [root@molly ~]# ip link set eth0.300 up
 [root@molly ~]# OCF_RESKEY_address="172.31.31.3/24" /usr/share/cluster/ip.sh
             start
 <debug>  Link for eth0.300: Detected
 <info>   Adding IPv4 address 172.31.31.3/24 to eth0.300
 <debug>  Sending gratuitous ARP: 172.31.31.3 54:52:00:06:f7:66 brd
          ff:ff:ff:ff:ff:ff
 rdisc: no process killed
 [root@molly ~]# ip addr list eth0.300
 6: eth0.300@eth0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc noqueue 
     link/ether 54:52:00:06:f7:66 brd ff:ff:ff:ff:ff:ff
     inet 172.31.31.2/24 scope global eth0.300
     inet 172.31.31.3/24 scope global secondary eth0.300
     inet6 fe80::5652:ff:fe06:f766/64 scope link 
        valid_lft forever preferred_lft forever

Comment 2 Bug Zapper 2010-04-28 10:45:21 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2010-06-28 14:58:08 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.